4Suite™ API Documentation

# ► Module Ft.Rdf.Triclops

Classes: RDFGraphVizEngine |  |  |  | Functions: ParseNsMappings, ResourceName, splitPredicate |  |  |  | Fields: OBJECT_TYPE_RESOURCE, OWL_NS, RDF_MS_BASE, RDF_SCHEMA_BASE, RECTANGLE_PATTERN, ascii_letters, ascii_lowercase, ascii_uppercase, digits, hexdigits, letters, lowercase, octdigits, printable, punctuation, uppercase, whitespace

## Classes

class RDFGraphVizEngine

### Methods

__init__(self, gvisDir, mapName='rdfImageMap', uriFormat='%s', maxArcs=None, outputJpeg=None, useNeato=False)
resourceExists(self, name, model)
Checks model.complete(model,None,None) to determine if name exists
resourceViewer(self, model, resourceUri=None, scoped=0, rotate=0, splitpreds=1, resultTxt=None, nsDict=None, resultsNode=None)
retrieveResourceUris(self, resultNode)

## Functions

ParseNsMappings(nsMappings, nsDict={}, mappingUri=None)
ResourceName(model, resourceUri, nsDict)
splitPredicate(predicate, nsDict)

## Fields

OBJECT_TYPE_RESOURCE = 'R'
OWL_NS = 'http://www.w3.org/2002/07/owl#'
RDF_MS_BASE = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
RDF_SCHEMA_BASE = 'http://www.w3.org/2000/01/rdf-schema#'
RECTANGLE_PATTERN = <_sre.SRE_Pattern object>
Compiled regular expression objects
ascii_letters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'
ascii_lowercase = 'abcdefghijklmnopqrstuvwxyz'
ascii_uppercase = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'
digits = '0123456789'
hexdigits = '0123456789abcdefABCDEF'
letters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'
lowercase = 'abcdefghijklmnopqrstuvwxyz'
octdigits = '01234567'
printable = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ!"#$%&\'()*+,-./:;<=>?@[\\]^_`{|}~ \t\n\r\x0b\x0c'
punctuation = '!"#$%&\'()*+,-./:;<=>?@[\\]^_`{|}~'
uppercase = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'
whitespace = '\t\n\x0b\x0c\r '